.kaniko:builder:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  variables:
    JSON_CONFIG: |
      {
        "auths": {
          "$CI_REGISTRY": {
            "username": "$CI_REGISTRY_USER",
            "password": "$CI_REGISTRY_PASSWORD"
          }
        }
      }
  script: |
    echo "${JSON_CONFIG}" > /kaniko/.docker/config.json
    /kaniko/executor \
      --context $CI_PROJECT_DIR/$SUB_DIR \
      --dockerfile $CI_PROJECT_DIR/$SUB_DIR/Dockerfile \
      --cache=true \
      --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
      #--destination $CI_REGISTRY_IMAGE/$SUB_DIR:$CI_COMMIT_TAG
